Package: org.codehaus.groovy.transform.stc

## [Java] Class EnclosingClosure

- org.codehaus.groovy.transform.stc.TypeCheckingContext.EnclosingClosure

- Represents the context of an enclosing closure. An enclosing closure wraps a closure expression and the list of return types found in the closure body.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TypeCheckingContext.EnclosingClosure (ClosureExpression closureExpression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addReturnType(ClassNode type)`
    `` | `ClosureExpression` | `getClosureExpression()`
    `` | `List<ClassNode>` | `getReturnTypes()`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public TypeCheckingContext.EnclosingClosure(ClosureExpression closureExpression)

  - ### Method Detail

    - #### public void addReturnType(ClassNode type)

    - #### public ClosureExpression getClosureExpression()

    - #### public List<ClassNode> getReturnTypes()

    - #### @Override public String toString()